# class toLock

A wrapper around the pthread mutexfunctions. More...

Definition | `#include <tothread.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toLock (void)
- toLock (const toLock &)
- void lock (void)
- void unlock (void)
- toLock (void)
- ~toLock ()
- void lock (void)
- void unlock (void)

## Detailed Description

A wrapper around the pthread mutexfunctions. A lock can only be locked by one thread at a time and is the basis of most thread synchronisation.

toLock (void)

### toLock

toLock (const toLock &)

### toLock

void lock (void)

### lock

void unlock (void)

### unlock

toLock (void)

### toLock

Create lock

~toLock ()

### ~toLock

void lock (void)

### lock

Lock this lock.

void unlock (void)

### unlock

Unlock this lock.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.